Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235644 - sbcl: threads
Summary: sbcl: threads
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: sbcl
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-09 02:18 UTC by Ben
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-09 12:42:25 UTC


Attachments (Terms of Use)
patch to add docs and threads options for rpmbuild (deleted)
2007-04-09 02:18 UTC, Ben
no flags Details | Diff

Description Ben 2007-04-09 02:18:39 UTC
Threads were disabled a while ago, I guess due to problems with the build system.

If this is still a problem, could they be conditionalized based on rpmbuild
--with/out options? Something like the attached patch for the spec file.

Comment 1 Ben 2007-04-09 02:18:39 UTC
Created attachment 151944 [details]
patch to add docs and threads options for rpmbuild

Comment 2 Rex Dieter 2007-04-09 11:59:34 UTC
No, I won't even optionalize it if it plain doesn't work.  I'll try re-enabling,
and try a test build to see if the problems of the past persist.  If not, I'll
hapily re-enable thread support.

Comment 3 Rex Dieter 2007-04-09 12:42:25 UTC
OK, change of heart, threading can/will-be toggled via [--with|--without]-threads.

And, good news, looks like threading works (again), so I'll re-enable its
support in the next build iteration.

%changelog
* Mon Apr 09 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.0.4-2
- re-enable threading support (#235644)


Note You need to log in before you can comment on or make changes to this bug.